package com.kms.model;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.sql.Timestamp;

import static java.time.LocalTime.now;

@AllArgsConstructor
@Getter
@Setter
@NoArgsConstructor
@DatabaseTable(tableName = "log")
@Builder
public class Log {

    @DatabaseField(generatedId = true, columnName = "log_id")
    private Integer id;
    @DatabaseField(columnName = "request_description", columnDefinition = "VARCHAR(2000)")
    private String requestDesc;
    @DatabaseField(columnName = "origin_ip", canBeNull = false, columnDefinition = "VARCHAR(120)")
    private String originIp;
    @DatabaseField(columnName = "endpoint", canBeNull = false, columnDefinition = "VARCHAR(100)")
    private String endpoint;
    @DatabaseField(columnName = "request_time", columnDefinition = "TIMESTAMP DEFAULT NOW() NOT NULL")
    private Timestamp requestTime;
    @DatabaseField(columnName = "caller_id", canBeNull = false, columnDefinition = "VARCHAR(100)")
    private String callerId;
    @DatabaseField(columnName = "annotation", columnDefinition = "VARCHAR(2000)")
    private String annotation;

}
